cross-gcc (74) unstable; urgency=medium

  * rebuild for 5.3.1-8

 -- Dima Kogan <dima@secretsauce.net>  Sat, 06 Feb 2016 22:00:36 -0800

cross-gcc (73) unstable; urgency=medium

  * Added forgotten hunk to the 4.9 patches. The build should work now

 -- Dima Kogan <dima@secretsauce.net>  Wed, 27 Jan 2016 13:04:55 -0800

cross-gcc (72) unstable; urgency=medium

  * rebuild for 6-20160122-1

 -- Dima Kogan <dima@secretsauce.net>  Fri, 22 Jan 2016 22:38:01 -0800

cross-gcc (71) unstable; urgency=medium

  * rebuild for 5.3.1-7

 -- Dima Kogan <dima@secretsauce.net>  Thu, 21 Jan 2016 23:48:10 -0800

cross-gcc (70) unstable; urgency=medium

  * rebuild for 6-20160117-1
  * rebuild for 4.9.3-11
  * rebuild for 5.3.1-6

 -- Dima Kogan <dima@secretsauce.net>  Tue, 19 Jan 2016 23:30:16 -0800

cross-gcc (69) unstable; urgency=medium

  * rebuild for 6-20160109-1

 -- Dima Kogan <dima@secretsauce.net>  Tue, 12 Jan 2016 12:21:27 -0800

cross-gcc (68) unstable; urgency=medium

  * rebuild for 5.3.1-5

 -- Dima Kogan <dima@secretsauce.net>  Sat, 02 Jan 2016 10:36:48 -0800

cross-gcc (67) unstable; urgency=medium

  * rebuild for 5.3.1-4

 -- Dima Kogan <dima@secretsauce.net>  Sun, 20 Dec 2015 11:35:17 -0800

cross-gcc (66) unstable; urgency=medium

  * rebuild for 5.3.1-3

 -- Dima Kogan <dima@secretsauce.net>  Tue, 08 Dec 2015 13:00:45 -0800

cross-gcc (65) unstable; urgency=medium

  * rebuild for 5.3.1-1

 -- Dima Kogan <dima@secretsauce.net>  Sat, 05 Dec 2015 21:03:33 -0800

cross-gcc (64) unstable; urgency=medium

  * rebuild for 5.3.0-3

 -- Dima Kogan <dima@secretsauce.net>  Sat, 05 Dec 2015 11:44:19 -0800

cross-gcc (63) unstable; urgency=medium

  * rebuild for 5.2.1-27

 -- Dima Kogan <dima@secretsauce.net>  Mon, 30 Nov 2015 15:46:19 -0800

cross-gcc (62) unstable; urgency=medium

  * rebuild for 5.2.1-26

 -- Dima Kogan <dima@secretsauce.net>  Thu, 26 Nov 2015 12:42:46 -0800

cross-gcc (61) unstable; urgency=medium

  * rebuild for 5.2.1-25

 -- Dima Kogan <dima@secretsauce.net>  Mon, 23 Nov 2015 17:38:32 -0800

cross-gcc (60) unstable; urgency=medium

  * rebuild for 5.2.1-24

 -- Dima Kogan <dima@secretsauce.net>  Sun, 22 Nov 2015 10:52:50 -0800

cross-gcc (59) unstable; urgency=medium

  * rebuild for 4.9.3-7

 -- Dima Kogan <dima@secretsauce.net>  Sat, 21 Nov 2015 10:24:19 -0800

cross-gcc (58) unstable; urgency=medium

  * Bug fix: "Non-empty SUFFIX causes package build failures", thanks to
    Juerg Haefliger (Closes: #794546).

 -- Dima Kogan <dima@secretsauce.net>  Sun, 15 Nov 2015 19:05:37 -0800

cross-gcc (57) unstable; urgency=medium

  * rebuild for 5.2.1-23

 -- Dima Kogan <dima@secretsauce.net>  Tue, 10 Nov 2015 23:22:30 -0800

cross-gcc (56) unstable; urgency=medium

  * rebuild for 5.2.1-23

 -- Dima Kogan <dima@secretsauce.net>  Sun, 08 Nov 2015 21:20:38 -0800

cross-gcc (55) unstable; urgency=medium

  * rebuild for 5.2.1-23

 -- Dima Kogan <dima@secretsauce.net>  Thu, 29 Oct 2015 16:44:55 -0700

cross-gcc (54) unstable; urgency=medium

  * rebuild for 4.9.3-5

 -- Dima Kogan <dima@secretsauce.net>  Sat, 17 Oct 2015 17:11:23 -0700

cross-gcc (53) unstable; urgency=medium

  * rebuild for 5.2.1-22

 -- Dima Kogan <dima@secretsauce.net>  Sun, 11 Oct 2015 08:28:56 -0700

cross-gcc (52) unstable; urgency=medium

  * rebuild for 5.2.1-21

 -- Dima Kogan <dima@secretsauce.net>  Sun, 04 Oct 2015 21:00:35 -0700

cross-gcc (51) unstable; urgency=medium

  * rebuild for 5.2.1-20

 -- Dima Kogan <dima@secretsauce.net>  Fri, 02 Oct 2015 16:53:44 -0700

cross-gcc (50) unstable; urgency=medium

  * rebuild for 5.2.1-19

 -- Dima Kogan <dima@secretsauce.net>  Thu, 01 Oct 2015 14:31:57 -0700

cross-gcc (49) unstable; urgency=medium

  * rebuild for 5.2.1-18
  * rebuild for 4.9.3-4

 -- Dima Kogan <dima@secretsauce.net>  Wed, 30 Sep 2015 19:37:38 -0700

cross-gcc (48) unstable; urgency=medium

  * rebuild for 5.2.1-17

 -- Dima Kogan <dima@secretsauce.net>  Sat, 12 Sep 2015 23:36:19 -0700

cross-gcc (47) unstable; urgency=medium

  * rebuild for 5.2.1-16

 -- Dima Kogan <dima@secretsauce.net>  Thu, 03 Sep 2015 17:25:48 -0700

cross-gcc (46) unstable; urgency=medium

  * rebuild for 5.2.1-15

 -- Dima Kogan <dima@secretsauce.net>  Wed, 12 Aug 2015 21:24:25 -0700

cross-gcc (45) unstable; urgency=medium

  * rebuild for 5.2.1-14

 -- Dima Kogan <dima@secretsauce.net>  Fri, 31 Jul 2015 16:31:00 -0700

cross-gcc (44) unstable; urgency=medium

  * rebuild for 4.9.3-3

 -- Dima Kogan <dima@secretsauce.net>  Sat, 25 Jul 2015 10:22:13 -0700

cross-gcc (43) unstable; urgency=medium

  * rebuild for 4.9.3-2

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Wed, 15 Jul 2015 10:56:58 -0700

cross-gcc (42) unstable; urgency=medium

  * rebuild for 5.1.1-14

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Sun, 12 Jul 2015 11:20:30 -0700

cross-gcc (41) unstable; urgency=medium

  * rebuild for 5.1.1-13

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Tue, 07 Jul 2015 15:48:08 -0700

cross-gcc (40) unstable; urgency=medium

  * rebuild for 4.9.3-1

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Wed, 01 Jul 2015 12:43:54 -0700

cross-gcc (39) unstable; urgency=medium

  * patch update. Thanks to Helmut Grohne
  * forcing build of gcc-5-source=5.1.1-12
  * forcing build of gcc-4.9-source=4.9.2-22

 -- Dima Kogan <dima@secretsauce.net>  Tue, 23 Jun 2015 14:04:46 -0700

cross-gcc (38) unstable; urgency=medium

  * rebuild for 5.1.1-11

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Wed, 17 Jun 2015 18:37:38 -0700

cross-gcc (37) unstable; urgency=medium

  * rebuild for 5.1.1-10
  * rebuild for 4.9.2-21

 -- Dima Kogan <dima@secretsauce.net>  Sun, 14 Jun 2015 22:20:11 -0700

cross-gcc (36) unstable; urgency=medium

  * Fixed gcc-5-base handling for stage2 builds (Thanks to Helmut Grohne)

 -- Dima Kogan <dima@secretsauce.net>  Thu, 11 Jun 2015 11:25:39 -0700

cross-gcc (35) unstable; urgency=medium

  * Fixed typo in patches for gcc-5
  * Reverted old behavior so that gcc-5 doesn't try to build gcc-5-base.
    This isn't working, and is not needed

 -- Dima Kogan <dima@secretsauce.net>  Tue, 09 Jun 2015 02:42:00 -0700

cross-gcc (34) unstable; urgency=medium

  * rebuild for 5.1.1-9
  * rebuild for 4.9.2-20

 -- Dima Kogan <dima@secretsauce.net>  Thu, 04 Jun 2015 00:11:20 -0700

cross-gcc (33) unstable; urgency=medium

  * rebuild for 5.1.1-8

 -- Dima Kogan <dima@secretsauce.net>  Thu, 28 May 2015 23:32:12 -0700

cross-gcc (32) unstable; urgency=medium

  * rebuild for 5.1.1-7
  * disabled ada frontend build
  * gcc-...-base dependencies reverted to gcc-VER-base with wdotap
  * repacker strips gcc-VER-ARCH-base and gcc-VER-base deps

 -- Dima Kogan <dima@secretsauce.net>  Mon, 25 May 2015 21:14:18 -0700

cross-gcc (31) unstable; urgency=medium

  * patch update: gxx_include_dir is now correct

 -- Dima Kogan <dkogan@secretsauce.net>  Fri, 22 May 2015 13:53:26 -0700

cross-gcc (30) unstable; urgency=medium

  * rebuild for 4.9.2-18
  * rebuild for 5.1.1-6

 -- Dima Kogan <dima@secretsauce.net>  Wed, 20 May 2015 12:16:14 -0700

cross-gcc (29) unstable; urgency=medium

  * rebuild for 4.9.2-17

    dropped patch to fix #774356 (its entire context is gone) for gcc-4.9.
    Similar as has already been done for gcc-5

 -- Dima Kogan <dima@secretsauce.net>  Sun, 17 May 2015 14:19:56 -0700

cross-gcc (28) unstable; urgency=medium

  * Make builds targetting amd64 have valid package names (no underscores)
  * Add SUFFIX option to allow updates for existing gcc-source

 -- Wookey <wookey@debian.org>  Mon, 11 May 2015 18:50:05 +0100

cross-gcc (27) unstable; urgency=medium

  * cross-biarch patch reinstated

    I was masking out the debian gcc's use of the cross-biarch patch
    because it was breaking the build previously. The build works now and
    since this patch is useful, I'm putting it back

 -- Dima Kogan <dima@secretsauce.net>  Sun, 10 May 2015 11:27:50 -0700

cross-gcc (26) unstable; urgency=medium

  * Patches apply to 5.1.1-5
  * re-organized, documented patches
  * added cross-gcc-gensource manpage

 -- Dima Kogan <dima@secretsauce.net>  Sun, 10 May 2015 11:15:55 -0700

cross-gcc (25) unstable; urgency=medium

  * Add multilib build dependencies (when DEB_CROSS_MULTILIB=yes)

 -- Wookey <wookey@debian.org>  Mon, 04 May 2015 22:11:47 +0100

cross-gcc (24) unstable; urgency=medium

  * rebuild for 4.9.2-16

    Patch content unchanged, but reorganized to be clearer, match gcc-5
    patches

 -- Dima Kogan <dima@secretsauce.net>  Tue, 05 May 2015 15:49:54 -0700

cross-gcc (23) unstable; urgency=medium

  * rebuild for 5.1.1-4

 -- Dima Kogan <dima@secretsauce.net>  Mon, 04 May 2015 11:20:11 -0700

cross-gcc (22) unstable; urgency=medium

  * patch update. Building 5.1.1-3 works again

 -- Dima Kogan <dima@secretsauce.net>  Sun, 03 May 2015 14:15:50 -0700

cross-gcc (21) unstable; urgency=medium

  * rebuild for 5.1.1-3

 -- Dima Kogan <dima@secretsauce.net>  Sat, 02 May 2015 13:30:38 -0700

cross-gcc (20) unstable; urgency=medium

  * Patch update: patch from #774356 now in both gcc-4.9, gcc-5 stack

 -- Dima Kogan <dima@secretsauce.net>  Thu, 30 Apr 2015 13:04:36 -0700

cross-gcc (19) unstable; urgency=medium

  * g++ include directories now work with the relocatable paths in debian
    gcc

 -- Dima Kogan <dima@secretsauce.net>  Wed, 29 Apr 2015 20:00:01 -0700

cross-gcc (18) unstable; urgency=medium

  * Base gcc version can now come from debian/control if not given in
    environment
  * Looser assumptions on the contents of gcc-xxx-source
  * Update for 4.9.2-13, 5.1.1-2
  * Reverted use of mawk: we still need gawk, and this was ineffective
  * Brought back gxx-include-dir

 -- Dima Kogan <dima@secretsauce.net>  Tue, 28 Apr 2015 17:40:38 -0700

cross-gcc (17) experimental; urgency=medium

  * rules.generic now specifies bash as the SHELL (Closes: #780583)
  * I don't generate THIS_PKG_{MAINT,UPLOADERS} unless I need to
  * gensources now attempts to use local cross-gcc-dev if a system
    one isn't found
  * rules.generic now uses mawk instead of awk

 -- Dima Kogan <dima@secretsauce.net>  Sat, 25 Apr 2015 20:15:05 -0700

cross-gcc (16) experimental; urgency=medium

  * auto_build_all.sh now takes the default HOST_LIST instead of overriding
  * default is DEB_CROSS_MULTILIB=no

 -- Dima Kogan <dima@secretsauce.net>  Fri, 24 Apr 2015 17:14:34 -0700

cross-gcc (15) experimental; urgency=medium

  [ Wookey ]
  * Enable config for multilib/non-multilib builds
  * Build tools for i386 as well  (Closes: #779322)

  [ Dima Kogan ]
  * rebuild for 4.9.2-12, 5-20150404-1
  * building cross-compiler targeting i386
  * fix powerpc multilib stage2 build. (Closes: #774356)
  * cross-gcc-dev Depends lsb-release. gcc builds use this

 -- Wookey <wookey@debian.org>  Tue, 21 Apr 2015 03:49:02 +0100

cross-gcc (14) unstable; urgency=medium

  * Add missing realpath dependency (Closes: #782542)

 -- Wookey <wookey@debian.org>  Wed, 15 Apr 2015 18:14:48 +0100

cross-gcc (13) unstable; urgency=medium

  * Supporting multiple gcc trees at the same time. Currently 4.9 and 5

    - All tools accept the requested version on the commandline
    - Patch series shipped in /usr/share/cross-gcc/patches/gcc-$ver

  * Included gcc-5 patches apply to 5-20150127-1

 -- Dima Kogan <dima@secretsauce.net>  Tue, 27 Jan 2015 22:14:59 -0800

cross-gcc (12) unstable; urgency=medium

  * Imported Helmut Grohne's fix for #774010

 -- Dima Kogan <dima@secretsauce.net>  Wed, 14 Jan 2015 01:08:58 -0800

cross-gcc (11) unstable; urgency=medium

  * rebuild for 4.9.2-10

 -- auto_build_all.sh script by Dima Kogan <dima@secretsauce.net>  Fri, 26 Dec 2014 22:20:26 -0800

cross-gcc (10) unstable; urgency=medium

  * rebuild for 4.9.2-9

 -- Dima Kogan <dima@secretsauce.net>  Sat, 20 Dec 2014 11:17:25 -0800

cross-gcc (9) experimental; urgency=medium

  * reworked packaging

 -- Dima Kogan <dima@secretsauce.net>  Thu, 18 Dec 2014 22:24:35 -0800

cross-gcc (8) experimental; urgency=low

  * Use of dpkg features instead of seddery in rules
  * Use dpkg-dev instead of lsb_release
  * Drop build-deps which are essential

 -- Wookey <wookey@debian.org>  Tue, 16 Dec 2014 21:01:37 +0000

cross-gcc (7) experimental; urgency=low

  * Move generic patches into common directory

 -- Wookey <wookey@debian.org>  Sun, 07 Dec 2014 16:51:04 +0000

cross-gcc (6) experimental; urgency=low

  * Refactor into cross-gcc-dev binary package to generate sources

 -- Wookey <wookey@debian.org>  Tue, 02 Dec 2014 03:29:04 +0000

cross-gcc (5) unstable; urgency=low

  * rebuild for 4.9.2-4
  * Patched to revert removal of with_deps_on_target_arch_pkgs

 -- wookey <wookey@debian.org>  Sun, 30 Nov 2014 03:33:09 +0000

cross-gcc (4) unstable; urgency=low

  * Update build scripts to allow alternate build arch

 -- wookey <wookey@debian.org>  Fri, 28 Nov 2014 01:07:00 +0000

cross-gcc (3) unstable; urgency=low

  * rebuild for 4.9.2-3

 -- wookey <wookey@debian.org>  Wed, 26 Nov 2014 18:30:35 +0000

cross-gcc (2) unstable; urgency=low

  * Ensure dependency on libgcc1:arch is exact version match
  * rebuild for 4.9.2-2

 -- wookey <wookey@debian.org>  Wed, 19 Nov 2014 17:02:12 +0000

cross-gcc (1.0) unstable; urgency=low

  * Updated patches for 4.9.2
  * Clarify descriptions for cross-gcc and cross-gcc-defaults
  * Re-enable powerpc

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc (0.9) unstable; urgency=low

  * Make gcc-4.9-source build-dep versioned as patches have to match

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc (0.8) unstable; urgency=low

  * Adjust patches and rebuild for 4.9.1-19

 -- wookey <wookey@debian.org>  Mon, 27 Oct 2014 03:08:05 +0000

cross-gcc (0.7) unstable; urgency=high

  * Use whichever dpkg-buildpackage target-arch setting mechanism
    is available. Aids backporting.

 -- wookey <wookey@wookware.org>  Wed, 23 Oct 2014 04:32:29 +0100

cross-gcc (0.6) unstable; urgency=high

  * Restrict package to amd64 for Jessie
  * Use new (dpkg >= 1.17.18) target-setting mechanism

 -- wookey <wookey@wookware.org>  Fri, 17 Oct 2014 23:42:28 +0100

cross-gcc (0.5) experimental; urgency=medium

  * Enable cross-fortran package

 -- wookey <wookey@wookware.org>  Tue, 07 Oct 2014 02:19:25 +0000

cross-gcc (0.4) experimental; urgency=medium

  * Unset multiarch:foreign for jessie
  * Set cpp-triplet in depends for g++-triplet (fixes reject on
     'symlink to other package but no dependency')

 -- wookey <wookey@wookware.org>  Thu, 25 Sep 2014 15:12:13 +0100

cross-gcc (0.3) experimental; urgency=medium

  * Add arm64 target
  * Set packages to be multiarch:foreign
  * Use common target list file

 -- Wookey <wookey@debian.org>  Tue, 19 Aug 2014 00:43:01 +0100

cross-gcc (0.2) unstable; urgency=low

  * Update for multiple version co-installability

 -- wookey <wookey@wookware.org>  Wed, 13 Aug 2014 04:25:15 +0100

cross-gcc (0.1) unstable; urgency=low

  * Initial release

 -- Wookey <wookey@debian.org>  Sat, 06 Feb 2014 01:04:00 +0100
